//**************************************************************
// ****** FUNCTIONS FOR SPI COMMUNICATION *******
//**************************************************************
//Controller: ATmega32 (Clock: 8 Mhz-internal)
//Compiler: AVR-GCC
//Version : 2.0
//Author: CC Dharmani, Chennai (India)
//www.dharmanitech.com
//Date: 18 April 2009
//**************************************************************


//**************************************************
// ***** HEADER FILE : SPI_routines.h ******
//**************************************************

#define SPI_SD             SPCR = 0x53
#define SPI_HIGH_SPEED     SPCR = 0x52; SPSR |= (1<<SPI2X)


void spi_init(void);
unsigned char SPI_send(unsigned char);
unsigned char SPI_rec(void);


