/*
 * usart.c
 *
 * Created: 2/11/2012 12:25:42 PM
 *  Author: UmairMukati
 */ 

#include <avr/io.h>

void usart_init(unsigned BaudRate,char TRX,char RRX)
{
	//UCSRB = (1<<RXCIE);
	UCSRB |= (TRX<<TXEN)|(RRX<<RXEN);
	UCSRC = (1<<UCSZ0)|(1<<UCSZ1)|(1<<URSEL);
	//UBRRH = (BaudRate>>8) & (0xFF);
	//UBRRL = BaudRate & (0xFF);
	UBRRL = 51;
}

void usart_putc(unsigned char ch)
{
	while(!(UCSRA & (1<<UDRE)));
	UDR = (ch);
}

void usart_puts(const char *s )
{
    while (*s) 
      usart_putc(*s++);

}
unsigned char usart_getc(char *data)
{    
    while(!(UCSRA & (1<<RXC)));
	data = UDR;
	if((data == 0x0D))
		return 0;
	else
		return 1;
}
void usart_gets(char *data)
{    
    unsigned char i=0;
	while(usart_getc(&data[i]))
		i++;
}
